package request

import "gin-vue-admin/model"

type CreateSurveyUserReq struct {
	Data           []model.SurveyUserData `json:"data"`
	SurveyId       int                    `gorm:"type:int(255)" json:"survey_id"`
	UserId         int                    `gorm:"type:int(255)" json:"user_id"`
	Contacts       string                 `gorm:"type:string(255)" json:"contacts"`
	ContactsMobile string                 `gorm:"type:string(255)" json:"contacts_mobile"`
}

type GetSurveyUserListReq struct {
	Mobile          string `json:"mobile" form:"mobile"`
	StartCreateTime string `json:"start_create_time" form:"start_create_time"`
	EndCreateTime   string `json:"end_create_time" form:"end_create_time"`
}

type GetSurveyUserListReply struct {
	Data           []model.SurveyUserData `gorm:"-" json:"data"`
	SurveyId       int                    `gorm:"type:int(255)" json:"survey_id"`
	UserId         int                    `gorm:"type:int(255)" json:"user_id"`
	Contacts       string                 `gorm:"type:string(255)" json:"contacts"`
	ContactsMobile string                 `gorm:"type:string(255)" json:"contacts_mobile"`
}

type GetSurveyLogListReq struct {
	PageInfo
	Mobile          string `json:"mobile" form:"mobile"`
	StartCreateTime string `json:"start_create_time" form:"start_create_time"`
	EndCreateTime   string `json:"end_create_time" form:"end_create_time"`
}

type GetSurveyLogListReply struct {
}
