package utils

import (
	"gin-vue-admin/global"
	"gin-vue-admin/model/request"
)

// 发送url
func NewLogin() string {
	url := global.GVA_CONFIG.New.Host + "/v1/login"

	data := new(request.NewLoginReq)

	data.Phone = global.GVA_CONFIG.New.Phone
	data.Password = global.GVA_CONFIG.New.Password

	resp := Post(url, data, "", 1)

	reply := new(request.NewLoginReply)

	UnserislizeJson(resp, reply)

	return reply.Token
}

// 发送url
func InterpretationInfo(data *request.InterpretationInfoReq, token string) *request.InterpretationInfoReply {
	url := global.GVA_CONFIG.New.Host + "/v1/dcm-interpretation-manager/" + data.Id

	postData := make(map[string]string)

	resp, _ := Get(url, postData, token, 2)

	reply := new(request.InterpretationInfoReply)

	UnserislizeJson(resp, reply)

	return reply
}
